Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Publish/Core/REST/Client/Values/User/User.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\REST\Client\Values\User;
8
9 use eZ\Publish\API\Repository\Values\User\User as APIUser;
10
17 class User extends APIUser
18 {
20 protected $content;
21
27 public function getVersionInfo()
28 {
29 return $this->content->getVersionInfo();
30 }
31
44 public function getFieldValue($fieldDefIdentifier, $languageCode = null)
45 {
46 return $this->content->getFieldValue($fieldDefIdentifier, $languageCode);
47 }
48
54 public function getFields()
55 {
56 return $this->content->getFields();
57 }
58
68 public function getFieldsByLanguage($languageCode = null)
69 {
70 return $this->content->getFieldsByLanguage($languageCode);
71 }
72
83 public function getField($fieldDefIdentifier, $languageCode = null)
84 {
85 return $this->content->getField($fieldDefIdentifier, $languageCode);
86 }
87
88 public function __get($property)
89 {
90 switch ($property) {
91 case 'contentInfo':
92 return $this->content->contentInfo;
93
94 case 'id':
95 return $this->content->id;
96
97 case 'versionInfo':
98 return $this->getVersionInfo();
99
100 case 'fields':
101 return $this->getFields();
102 }
103
104 return parent::__get($property);
105 }
106 }
eZ\Publish\API\Repository\Values\User\User
Definition: Publish/API/Repository/Values/User/User.php:24
eZ\Publish\Core\REST\Client\Values\User\User
Implementation of the \eZ\Publish\API\Repository\Values\User\User class.
Definition: Publish/Core/REST/Client/Values/User/User.php:18
eZ\Publish\Core\REST\Client\Values\User\User\$content
$content
Definition: Publish/Core/REST/Client/Values/User/User.php:20
eZ\Publish\Core\REST\Client\Values\User\User\getFieldValue
getFieldValue($fieldDefIdentifier, $languageCode=null)
Returns a field value for the given value $version->fields[$fieldDefId][$languageCode] is an equivale...
Definition: Publish/Core/REST/Client/Values/User/User.php:44
eZ\Publish\Core\REST\Client\Values\User\User\getVersionInfo
getVersionInfo()
Returns the VersionInfo for this version.
Definition: Publish/Core/REST/Client/Values/User/User.php:27
eZ\Publish\Core\REST\Client\Values\User\User\__get
__get($property)
Magic get function handling read to non public properties.
Definition: Publish/Core/REST/Client/Values/User/User.php:88
eZ\Publish\Core\REST\Client\Values\User\User\getFields
getFields()
This method returns the complete fields collection.
Definition: Publish/Core/REST/Client/Values/User/User.php:54
eZ\Publish\Core\REST\Client\Values\User\User\getField
getField($fieldDefIdentifier, $languageCode=null)
This method returns the field for a given field definition identifier and language.
Definition: Publish/Core/REST/Client/Values/User/User.php:83
eZ\Publish\Core\REST\Client\Values\User\User\getFieldsByLanguage
getFieldsByLanguage($languageCode=null)
This method returns the fields for a given language and non translatable fields.
Definition: Publish/Core/REST/Client/Values/User/User.php:68
eZ\Publish\Core\REST\Client\Values\User
Definition: Core/REST/Client/Values/User/Policy.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.